/* This file is part of VisualDFT.
 *
 * VisualDFT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * VisualDFT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VisualDFT; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package ch.educeth.visualdft;

import java.awt.geom.*;

/**
 * kleine hilfsklasse abgeleitet von Rectangle2D.Double. Normalerweise wird
 * ein rechteck in java durch den oberen linken eckpunkt des frames und die
 * zugehrigen breiten festgelegt. Diese Klasse macht eine kleine 
 * koordinatentransformation, so dass das rechteck durch zentrum und "radius" 
 * positioniert wird.
 */

public class Rect extends Rectangle2D.Double{

	private double xKoord=0.0,yKoord=0.0;
	private double radius=0.0;
	private double frameWidth=0.0,frameHeigth=0.0;

	
	public Rect(double radius){
		super(0.0, 0.0, 0.0, 0.0);
		this.radius=radius;
		
		frameWidth=7*2*radius;	
		frameHeigth=2*radius;
		setXYFrame(0.0d,0.0d);
	}

	public void setXKoord(double xKoord){
		this.xKoord=xKoord;
		setXYFrame(xKoord,yKoord);
	}
	
	public void setYKoord(double yKoord){
		this.yKoord=yKoord;
		setXYFrame(xKoord,yKoord);
	}

	private void setXYFrame(double xKoord,double yKoord){
		setFrame(	xKoord-7*radius,
				yKoord-radius,
				frameWidth,
				frameHeigth
		);
	}


	public double getXKoord(){return xKoord;}
	public double getYKoord(){return yKoord;}

}